Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
ContentTranslationSyncUnitTest::$columns property core/modules/content_translation/tests/src/Kernel/ContentTranslationSyncUnitTest.php All the field columns.
ContentTranslationSyncUnitTest::$langcodes property core/modules/content_translation/tests/src/Kernel/ContentTranslationSyncUnitTest.php The available language codes.
ContentTranslationSyncUnitTest::$modules property core/modules/content_translation/tests/src/Kernel/ContentTranslationSyncUnitTest.php
ContentTranslationSyncUnitTest::$synchronized property core/modules/content_translation/tests/src/Kernel/ContentTranslationSyncUnitTest.php The columns to be synchronized.
ContentTranslationSyncUnitTest::$synchronizer property core/modules/content_translation/tests/src/Kernel/ContentTranslationSyncUnitTest.php The synchronizer class to be tested.
ContentTranslationSyncUnitTest::$unchangedFieldValues property core/modules/content_translation/tests/src/Kernel/ContentTranslationSyncUnitTest.php The unchanged field values.
ContentTranslationSyncUnitTest::setUp function core/modules/content_translation/tests/src/Kernel/ContentTranslationSyncUnitTest.php
ContentTranslationSyncUnitTest::testDifferingSyncedColumns function core/modules/content_translation/tests/src/Kernel/ContentTranslationSyncUnitTest.php Tests that one change in a synchronized column triggers a change in all columns.
ContentTranslationSyncUnitTest::testFieldSync function core/modules/content_translation/tests/src/Kernel/ContentTranslationSyncUnitTest.php Tests the field synchronization algorithm.
ContentTranslationSyncUnitTest::testMultipleSyncedValues function core/modules/content_translation/tests/src/Kernel/ContentTranslationSyncUnitTest.php Tests that items holding the same values are correctly synchronized.
ContentTranslationTestBase class core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Base class for content translation tests.
ContentTranslationTestBase.php file core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php
ContentTranslationTestBase::$administrator property core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php The account to be used to test access to both workflows.
ContentTranslationTestBase::$bundle property core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php The bundle being tested.
ContentTranslationTestBase::$controller property core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php The translation controller for the current entity type.
ContentTranslationTestBase::$editor property core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php The account to be used to test multilingual entity editing.
ContentTranslationTestBase::$entityTypeId property core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php The entity type being tested.
ContentTranslationTestBase::$fieldName property core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php The name of the field used to test translation.
ContentTranslationTestBase::$langcodes property core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php The added languages.
ContentTranslationTestBase::$manager property core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php
ContentTranslationTestBase::$modules property core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php
ContentTranslationTestBase::$translator property core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php The account to be used to test translation operations.
ContentTranslationTestBase::createEntity function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Creates the entity to be translated.
ContentTranslationTestBase::doSetup function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Completes preparation for content translation tests.
ContentTranslationTestBase::enableTranslation function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Enables translation for the current entity type and bundle.
ContentTranslationTestBase::getAdministratorPermissions function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Returns an array of permissions needed for the administrator.
ContentTranslationTestBase::getEditorPermissions function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Returns an array of permissions needed for the editor.
ContentTranslationTestBase::getEditUrl function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Returns the edit URL for the specified entity.
ContentTranslationTestBase::getTranslatePermission function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Returns the translate permissions for the current entity and bundle.
ContentTranslationTestBase::getTranslatorPermissions function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Returns an array of permissions needed for the translator.
ContentTranslationTestBase::setupBundle function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Creates or initializes the bundle date if needed.
ContentTranslationTestBase::setupLanguages function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Adds additional languages.
ContentTranslationTestBase::setupTestFields function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Creates the test fields.
ContentTranslationTestBase::setupUsers function core/modules/content_translation/tests/src/Functional/ContentTranslationTestBase.php Creates and activates translator, editor and admin users.
ContentTranslationTestHooks class core/modules/content_translation/tests/modules/content_translation_test/src/Hook/ContentTranslationTestHooks.php Hook implementations for content_translation_test.
ContentTranslationTestHooks.php file core/modules/content_translation/tests/modules/content_translation_test/src/Hook/ContentTranslationTestHooks.php
ContentTranslationTestHooks::entityAccess function core/modules/content_translation/tests/modules/content_translation_test/src/Hook/ContentTranslationTestHooks.php Implements hook_entity_access().
ContentTranslationTestHooks::entityBundleInfoAlter function core/modules/content_translation/tests/modules/content_translation_test/src/Hook/ContentTranslationTestHooks.php Implements hook_entity_bundle_info_alter().
ContentTranslationTestHooks::entityTranslationDelete function core/modules/content_translation/tests/modules/content_translation_test/src/Hook/ContentTranslationTestHooks.php Implements hook_entity_translation_delete().
ContentTranslationTestHooks::formNodeFormAlter function core/modules/content_translation/tests/modules/content_translation_test/src/Hook/ContentTranslationTestHooks.php Implements hook_form_BASE_FORM_ID_alter().
ContentTranslationTestHooks::formNodeFormSubmit function core/modules/content_translation/tests/modules/content_translation_test/src/Hook/ContentTranslationTestHooks.php Form submission handler for custom field added based on a request parameter.
ContentTranslationTestTrait trait core/modules/content_translation/tests/src/Traits/ContentTranslationTestTrait.php Provides an API to programmatically manage content translation in tests.
ContentTranslationTestTrait.php file core/modules/content_translation/tests/src/Traits/ContentTranslationTestTrait.php
ContentTranslationTestTrait::enableContentTranslation function core/modules/content_translation/tests/src/Traits/ContentTranslationTestTrait.php Enables content translation for the given entity type bundle.
ContentTranslationThemeHooks class core/modules/content_translation/src/Hook/ContentTranslationThemeHooks.php Hook implementations for content_translation.
ContentTranslationThemeHooks.php file core/modules/content_translation/src/Hook/ContentTranslationThemeHooks.php
ContentTranslationThemeHooks::preprocessLanguageContentSettingsTable function core/modules/content_translation/src/Hook/ContentTranslationThemeHooks.php Implements hook_preprocess_HOOK() for language-content-settings-table.html.twig.
ContentTranslationThemeHooks::__construct function core/modules/content_translation/src/Hook/ContentTranslationThemeHooks.php
ContentTranslationUISkipTest class core/modules/content_translation/tests/src/Functional/ContentTranslationUISkipTest.php Tests the content translation UI check skip.
ContentTranslationUISkipTest.php file core/modules/content_translation/tests/src/Functional/ContentTranslationUISkipTest.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.